Skip to main content
Available in🇮🇳 India
Create Razorpay QR Codes and share them with customers to accept digital payments.
Feature RequestThis is an on-demand feature. Please raise a request with our Support team to get this feature activated on your Razorpay account.
Fork the Razorpay Postman Public Workspace and try the QR Codes (Image Content) APIs using your Test API Keys. Run in Postman

Create a QR Code

POST /v1/payments/qr_codesCreates a QR Code.

Close a QR Code

POST /v1/payments/qr_codes/:qr_id/closeCloses a QR Code.

Fetch All QR Codes

GET /v1/payments/qr_codes?count=2Retrieves details of all QR Codes.

Fetch a QR Code With ID

GET /v1/payments/qr_codes/:qr_idRetrieves details of a QR Code using id.

Fetch QR Codes for a Customer ID

GET /v1/payments/qr_codes?customer_id=\{customer_id\}Retrieves QR Codes generated for a Customer id.

Fetch QR Codes for a Payment ID

GET /v1/payments/qr_codes?payment_id=\{payment_id\}Retrieves QR Codes by Payment id.

Fetch Payments for a QR Code

GET /v1/payments/qr_codes/:qr_id/paymentsRetrieves payments made on a QR Code.

Refund Payments

POST /v1/payments/:id/refundRefunds payments made on a QR Code.